package twopm.tech.bench.jaxrs;

import java.io.IOException;
import org.jboss.resteasy.plugins.server.vertx.VertxJaxrsServer;
import org.jboss.resteasy.plugins.server.vertx.VertxResteasyDeployment;
public class Bench {

	public static void main(String[] args) throws IOException, InterruptedException {
		VertxResteasyDeployment deployment = new VertxResteasyDeployment();
		deployment.getActualResourceClasses().add(TestResource.class);
		VertxJaxrsServer server = new VertxJaxrsServer();
		server.setDeployment(deployment);
		server.setPort(8080);
		server.setRootResourcePath("");
		server.setSecurityDomain(null);
		server.start();
	}
}
